"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useConfirmation = exports.ConfirmationAction = exports.Confirmation = void 0;
const tslib_1 = require("tslib");
const jsx_runtime_1 = require("react/jsx-runtime");
const I18n_1 = require("@reactionable/core/lib/i18n/I18n");
const Confirmation_1 = require("@reactionable/core/lib/ui/confirmation/Confirmation");
const Button_1 = tslib_1.__importDefault(require("react-bootstrap/Button"));
const Modal_1 = tslib_1.__importDefault(require("react-bootstrap/Modal"));
const Icon_1 = require("../icon/Icon");
const Confirmation = ({ callback, children, title, }) => {
    const { t } = I18n_1.useTranslation();
    const handleCancel = () => callback(false);
    const handleOk = () => callback(true);
    return (jsx_runtime_1.jsxs(Modal_1.default, Object.assign({ show: true, size: "lg", "aria-labelledby": "contained-modal-title-vcenter", centered: true, onHide: handleCancel }, { children: [jsx_runtime_1.jsx(Modal_1.default.Header, Object.assign({ closeButton: true }, { children: jsx_runtime_1.jsx(Modal_1.default.Title, Object.assign({ id: "contained-modal-title-vcenter" }, { children: title || t("Confirm ?") }), void 0) }), void 0),
            jsx_runtime_1.jsx(Modal_1.default.Body, { children: children }, void 0),
            jsx_runtime_1.jsxs(Modal_1.default.Footer, { children: [jsx_runtime_1.jsx(Button_1.default, Object.assign({ variant: "outline-primary", onClick: handleCancel }, { children: t("Cancel") }), void 0),
                    jsx_runtime_1.jsx(Button_1.default, Object.assign({ variant: "primary", onClick: handleOk }, { children: t("OK") }), void 0)] }, void 0)] }), void 0));
};
exports.Confirmation = Confirmation;
function ConfirmationAction(_a) {
    var { label, button, icon, children } = _a, props = tslib_1.__rest(_a, ["label", "button", "icon", "children"]);
    return (jsx_runtime_1.jsxs(Confirmation_1.ConfirmationAction, Object.assign({}, props, { children: [children, button && (jsx_runtime_1.jsxs(Button_1.default, Object.assign({ title: props.title || "" }, button, { children: [icon && jsx_runtime_1.jsx(Icon_1.Icon, Object.assign({}, icon), void 0), label] }), void 0))] }), void 0));
}
exports.ConfirmationAction = ConfirmationAction;
const useConfirmation = (props) => {
    return Confirmation_1.useConfirmation(Object.assign({ Component: exports.Confirmation }, props));
};
exports.useConfirmation = useConfirmation;
//# sourceMappingURL=Confirmation.js.map